<?php



include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session
  $conexion=conecta_default();
  $ok=0;

    //fin validar session

    $calificado=0;

   $rfc2=$_POST['rfcpr'];

   

   $busqusr = "SELECT id_inver, rfc, appat, apmat, nombre, califico FROM inversionista WHERE rfc = '$rfc2'";

   $cons = mysql_query($busqusr) or die ('Err0: '.mysql_error());

   $usr = mysql_fetch_object($cons);

   $idinv=$usr->id_inver;
   $rfc = $usr->rfc;

   $nombre = $usr->nombre;

   $appat = $usr->appat;

   $apmat = $usr->apmat;

   $calif = $usr->califico;

   $conteo=0;

   



   $busqusr2 = "SELECT month(curdate()) as elmes, year(curdate()) as elano";

   $cons2 = mysql_query($busqusr2) or die ('Err0: '.mysql_error());

   $usr2 = mysql_fetch_object($cons2);

   $mes = $usr2->elmes; $ano = $usr2->elano; 

 

   //echo "Tus datos son los siguientes: <br /> <br />";

   switch($mes) 



				{

					case '01': $mesletra="Enero"; $diaf=31; break;

					case '02': $mesletra="Febrero"; $diaf=28; break;

					case '03': $mesletra="Marzo"; $diaf=31; break;

					case '04': $mesletra="Abril"; $diaf=30; break;

					case '05': $mesletra="Mayo"; $diaf=31; break;

					case '06': $mesletra="Junio"; $diaf=30; break;

					case '07': $mesletra="Julio"; $diaf=31; break;

					case '08': $mesletra="Agosto"; $diaf=31; break;

					case '09': $mesletra="Septiembre"; $diaf=30; break;

					case '10': $mesletra="Octubre"; $diaf=31; break;

					case '11': $mesletra="Noviembre"; $diaf=30; break;

					case '12': $mesletra="Diciembre"; $diaf=31; break;

				}	    



      echo "<center><br><font color=\"#5C3C12\" size=\"+2\">Reporte del 1 al $diaf de $mesletra de $ano</font><BR> <br />";

   echo "<label style='color:#5C3C12'> RFC: </label> $rfc";

   echo "<br />";

   echo "<label style='color:#5C3C12'> Nombre: </label> $nombre $appat $apmat";

   echo "<br />"; 

   $fecha1="$ano-$mes-01";$fecha2="$ano-$mes-$diaf";
   $mes2=$mes-1;
   if($mes2==0){$mes2=12;}
   
   
$fecha3="$ano-$mes2-01";$fecha4="$ano-$mes2-$diaf";
   $vtas = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$idinv\" and fechat between \"$fecha1\" and \"$fecha2\"";



           $vtas1 = mysql_query($vtas) or die ('No se pudo hacer la consulta cc1' . mysql_error());



           $rr8 = mysql_fetch_row($vtas1);



  



           $valin=$rr8[0]; $rest=624-$valin;



 			echo"<br><b> Compras totales para calificaci&oacute;n <font size=\"+2\">$ $valin</font></b>";

			echo"<br><b> Compras restantes para calificar en el mes y tener derecho a regal&iacute;as: ";

			if($rest>=1){

			echo"<font size=\"+2\" color=\"red\">$ $rest</font></b><br>";}else {echo"0<br>";$calificado=1;}

   echo"<br>Estatus Actual:  ";

 if($rest>=1){echo"<b>NO CALIFICADO</b>";} else{echo"<b>CALIFICADO</b>";}

  

	 $q2 = "SELECT id_inver, rfc, nombre, appat, apmat FROM inversionista WHERE idprom =  \"$idinv\"";



  $c2 = mysql_query($q2) or die ('No se pudo hacer la consulta' . mysql_error());







  for($i=0;$r1 = mysql_fetch_row($c2);$i++)



   {



	   $a0 = $r1[0];



	   $a1 = $r1[1];



	   $a2 = $r1[2];



	   $a3 = $r1[3];



	   $a4 = $r1[4];



	   $gen1[]= array($a0, $a1, $a2." ".$a3." ".$a4);







	};



   echo"<br><br>Personas Directas Calificadas en el mes:<table border=1>";

       while (list($clave, $valor ) = each($gen1))

          {

           $qc1 = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$valor[0]\" and fechat between \"$fecha1\" and \"$fecha2\"";

           $cc1 = mysql_query($qc1) or die ('No se pudo hacer la consulta cc1' . mysql_error());

           $rr = mysql_fetch_row($cc1);

  

           $val1=$rr[0];

 

           if ($val1>=624){
	          // echo"<tr><td>$valor[2]</td><tr>";
	           $conteo++;}

  

           

          }

   echo"</table> Total $conteo";

    

    echo"<br><br><font color=\"#5C3C12\" size=\"+2\">Regal&iacute;as a Recibir:</font>

	<table border=\"1\"> <tr align=\"center\"><th>Generaci&oacute;n</th><th>Porcentaje a recibir</th><th>Estatus Actual</th></tr>

	<tr align=\"center\"><td>Primera Generaci&oacute;n</td><td>10 %</td>";

	if($conteo>=1 && $calificado==1){echo"<td><font color=\"green\"><b>Activado</b></font></td>";}

	else{echo"<td><font color=\"red\"><b>Desactivado</B></font></td>";}

	

	echo"</tr><tr align=\"center\"><td>Segunda Generaci&oacute;n</td><td>17 %</td>";

	if($conteo>=2 && $calificado==1){echo"<td><font color=\"green\"><b>Activado</b></font></td>";}

	else{echo"<td><font color=\"red\"><b>Desactivado</B></font></td>";}

	echo"</tr>

	<tr align=\"center\"><td>Tercera Generaci&oacute;n</td><td>17 %</td>";

	if($conteo>=3 && $calificado==1){echo"<td><font color=\"green\"><b>Activado</b></font></td>";}

	else{echo"<td><font color=\"red\"><b>Desactivado</B></font></td>";}

	echo"</tr>

	<tr align=\"center\"><td>Cuarta Generaci&oacute;n</td><td>17 %</td>";

	if($conteo>=4 && $calificado==1){echo"<td><font color=\"green\"><b>Activado</b></font></td>";}

	else{echo"<td><font color=\"red\"><b>Desactivado</B></font></td>";}

	echo"</tr>
	<tr align=\"center\"><td>Quinta Generaci&oacute;n</td><td>1 %</td>";

	if($conteo>=5 && $calificado==1){echo"<td><font color=\"green\"><b>Activado</b></font></td>";}

	else{echo"<td><font color=\"red\"><b>Desactivado</B></font></td>";}

	echo"</tr>


	<tr align=\"center\"><td>Sexta  Generaci&oacute;n</td><td>1 %</td><td><font color=\"red\"><b>Desactivado</B></font></td></tr>
	<tr align=\"center\"><td>S&eacute;ptima Generaci&oacute;n</td><td>1 %</td><td><font color=\"red\"><b>Desactivado</B></font></td></tr>
	<tr align=\"center\"><td>Octava Generaci&oacute;n</td><td>1 %</td><td><font color=\"red\"><b>Desactivado</B></font></td></tr>
	

	</table>*Para m&aacute;s informaci&oacute;n, ver el Plan de Compensaci&oacute;n

	";
	
	
	   $vtas4 = "SELECT sum(puntos) FROM transacciones join depositos on transacciones.idtransacciones=depositos.transacciones_idtransacciones WHERE tipostr_idtipostr!='11' and inversionista_id_inver = \"$idinv\" and fechat >= NOW() - INTERVAL 90 DAY";



           $vtas5 = mysql_query($vtas4) or die ('No se pudo hacer la consulta cc1' . mysql_error());



           $rr81 = mysql_fetch_row($vtas5);



  $valino=$rr81[0]; 
if($valino >=1){$elstat="<font color=\"green\"><b>ACTIVO</b></font>";}else{$elstat="<font color=\"RED\"><b>NO ACTIVO</b></font>";}


           
	
echo"<br><br>Estatus del distribuidor por compras de 90 días anteriores $elstat";
?>